Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class ConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ArrayConfigOption, DirConfigOption, DoubleConfigOption, EnumerationConfigOption, IntegerConfigOption, LongConfigOption, StringConfigOption

public abstract class ConfigOption
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ConfigOption()` Should only be used by serializer/deserializer
`` | `ConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` | `ConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`abstract void` | `checkOptionIsValid(java.lang.String value)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDefault()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`abstract net.hyperic.util.config.OptionTransport` | `getTransport()`
`protected net.hyperic.util.config.OptionTransport` | `getTransport(java.lang.String className)`
`int` | `hashCode()`
`boolean` | `isOptional()`
`void` | `setDefault(java.lang.String value)`
`void` | `setOptional(boolean optional)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigOption

    protected ConfigOption()

  Should only be used by serializer/deserializer

### ConfigOption

    public ConfigOption(java.lang.String optName,
                        java.lang.String optDesc,
                        java.lang.String defValue)

### ConfigOption

    public ConfigOption(net.hyperic.util.config.OptionTransport transport)
                 throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public abstract void checkOptionIsValid(java.lang.String value)
                                     throws InvalidOptionValueException

  Throws:
    `InvalidOptionValueException`

### setDefault

    public void setDefault(java.lang.String value)

### getDefault

    public java.lang.String getDefault()

### setOptional

    public void setOptional(boolean optional)

### isOptional

    public boolean isOptional()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getTransport

    protected net.hyperic.util.config.OptionTransport getTransport(java.lang.String className)

### getTransport

    public abstract net.hyperic.util.config.OptionTransport getTransport()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.